%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% THe following scripts were used in the pipeline to convert the slices in .png format
% (captured from the solidified mesh) to binary raw matrix (voxel format).
% The general idea of the pipline is: 
%     a. export slices as '.png' files by capturing at equal interval (e.g. 0.5 mm)
%        from the solid representaion of the mesh "Cropper"
%     b. Crop slices to a revant size (remove uncessary backgorund voxels)
%     c. Convert the cropped slices to greyscale "GreyScaler.m"
%     d. Covert the geryscale slices to a single binary matrix (volume or voxels)"Volumer.m"
%     e. Remove boundary lines dividing the antomical structures (if the slice capture 
%        introduced borders) and resize voxel to 0.5 mm per pixel in each slice "BoundaryRemover.m"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%"BoundaryRemover.m"
% This script removes borders between anatomical parts (artefact when capturing slices) and resize slices to
% 0.5 mm per pixel. It comes after the "Greyscaler.m" in the pipeline


clear all

x=792;
y=1028;
z=442;

V1=zeros(x/2,y/2,z);

fID=fopen('Volume.raw');
fID1=fopen('Volume1.raw','wb');

[A, count] = fread(fID);

Ac=reshape(A,x,y,z);


for k=1:z
    Ax=Ac(:,:,k);
    Ax=reshape(Ax,x,y);
idx=find(Ax==0);


L=length(idx);
for i=1:L
if Ax(idx(i)+1)~=0
    Ax(idx(i))=Ax(idx(i)+1);
elseif Ax(idx(i)-1)~=0
    Ax(idx(i))=Ax(idx(i)-1);
end

end

Ax1=imresize(Ax,0.5,'Method','nearest');

V1(:,:,k)=Ax1;
end

V=reshape(V1,1,x/2*y/2*z);
V=V';
V(V==255)=0;
fwrite(fID1,V);

fclose(fID1);



