%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% THe following scripts were used in the pipeline to convert the slices in .png format
% (captured from the solidified mesh) to binary raw matrix (voxel format).
% The general idea of the pipline is: 
%     a. export slices as '.png' files by capturing at equal interval (e.g. 0.5 mm)
%        from the solid representaion of the mesh "Cropper"
%     b. Crop slices to a revant size (remove uncessary backgorund voxels)
%     c. Convert the cropped slices to greyscale "GreyScaler.m"
%     d. Covert the geryscale slices to a single binary matrix (volume or voxels)"Volumer.m"
%     e. Remove boundary lines dividing the antomical structures (if the slice capture 
%        introduced borders) and resize voxel to 0.5 mm per pixel in each slice "BoundaryRemover.m"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%"Cropper.com"
% This script crops the sclices that were captured (as .png)
% from the mesh representation of Menelik at 0.5 mm interval. The slices were named with numbers
% stating from -145 to 75.5 with 0.5 increment. The cropped images are saved in folder named "Cropped"

clear all

ext='.png';
dir='Cropped\';

for i=-145:0.5:75.5
readname=strcat(num2str(i),ext);
nam=strcat(dir,num2str(i));
savename=strcat(nam,ext);

rect=[210,10,1027,791];

I=imread(readname);

[I1]=imcrop(I,rect);

imwrite(I1,savename);
end