%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% THe following scripts were used in the pipeline to convert the slices in .png format
% (captured from the solidified mesh) to binary raw matrix (voxel format).
% The general idea of the pipline is: 
%     a. export slices as '.png' files by capturing at equal interval (e.g. 0.5 mm)
%        from the solid representaion of the mesh "Cropper"
%     b. Crop slices to a revant size (remove uncessary backgorund voxels)
%     c. Convert the cropped slices to greyscale "GreyScaler.m"
%     d. Covert the geryscale slices to a single binary matrix (volume or voxels)"Volumer.m"
%     e. Remove boundary lines dividing the antomical structures (if the slice capture 
%        introduced borders) and resize voxel to 0.5 mm per pixel in each slice "BoundaryRemover.m"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%"GreyScaler.m"
% This script coverts the cropped images to greyscale and saves the
% greyscle slices in a folder "GreyScale". It comes after the "Cropper.m"
% in the pipeline

clear all

ext='.png';
dir='GreyScale\';
for i=-145:0.5:75.5
readname=strcat(num2str(i),ext);
nam=strcat(dir,num2str(i));
savename=strcat(nam,ext);

I=imread(readname);

I1=rgb2gray(I);

imwrite(I1,savename);
end