%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% THe following scripts were used in the pipeline to convert the slices in .png format
% (captured from the solidified mesh) to binary raw matrix (voxel format).
% The general idea of the pipline is: 
%     a. export slices as '.png' files by capturing at equal interval (e.g. 0.5 mm)
%        from the solid representaion of the mesh "Cropper"
%     b. Crop slices to a revant size (remove uncessary backgorund voxels)
%     c. Convert the cropped slices to greyscale "GreyScaler.m"
%     d. Covert the geryscale slices to a single binary matrix (volume or voxels)"Volumer.m"
%     e. Remove boundary lines dividing the antomical structures (if the slice capture 
%        introduced borders) and resize voxel to 0.5 mm per pixel in each slice "BoundaryRemover.m"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%"Volumer.m"
% This script coverts the greyscale slices to a singel 8-bit binary file ("Volum.raw")as a 3d matrix
% It comes after the "Greyscaler.m" in the pipeline


clear all

ext='.png';
% ext1='cropped.png';

fID=fopen('Volume.raw','wb');
V=zeros(792,1028,442);

for i=1:442
 a=[-145:0.5:75.5];
readname=strcat(num2str(a(i)),ext);
I=imread(readname);

V(:,:,i)=I;

end

fwrite(fID,V);
